html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: absolute;
    display: block;
    width: 8rem;
    height: 8rem;
    inset: 20vh 0 auto 0;
    margin: 0 auto 0 auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

code {
    color: #c02d76;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

:root {
    --primary-site-color: #050018;
    --secondary-site-color: rgb(5 46 53);
    --secondary-site-alt1: rgb(17 73 65 / 24%);
    --secondary-site-alt2: rgba(9, 29, 40, 0.85);
    --QB: #ff2a6d;
    --RB: #00ceb8;
    --WR: #58a7ff;
    --TE: #ffae58;
    --QB-faded: #ff2a6e73;
    --RB-faded: #00ceb96e;
    --WR-faded: #58a6ff85;
    --TE-faded: #ffae5896;
    --border-gray: #616161;
    --faded-background: #9595954a;
    --bg:   radial-gradient(120% 90% at 5% -20%,
                #e0e0e0 0%,
                #d1d1d1 60%,
                #c4c4c4 100%
            ),
            radial-gradient(100% 80% at 95% 95%,
                #ded6d2 0%,
                #d0c9c5 50%,
                #c4c4c4 100%
            ),
            linear-gradient(170deg,
                #ededed 0%,
                #cfcfcf 60%,
                #c4c4c4 100%
            );
    --text: #131313;
    --light-text: #4b4b4b;
    --top-row: #f7f7f7;
    --dark-background:  radial-gradient(120% 90% at 50% 110%, rgb(6 30 34) 0%, rgb(8 34 44 / 65%) 50%, rgba(5, 0, 24, 0) 80%),
                        radial-gradient(95% 75% at 50% 100%, #0b2430 0%, #091d28 55%, #030914 95%),
                        radial-gradient(85% 65% at 50% 100%, #0f2f3c 0%, #0a1f2a 60%, #030914 90%),
                        linear-gradient(180deg, #071a1f 0%, #050f18 60%, #030914 100%);
    --dark-owner-background:    radial-gradient(120% 90% at 50% -10%, rgb(11 36 48 / 94%) 0%, rgba(11, 36, 48, 0.35) 45%, rgba(11, 36, 48, 0) 70%),
                                radial-gradient(120% 90% at 50% 110%, rgb(11 36 48 / 94%) 0%, rgba(11, 36, 48, 0.35) 45%, rgba(11, 36, 48, 0) 70%),
                                radial-gradient(95% 75% at 50% 100%, #0b2430 0%, #091d28 55%, #030914 95%),
                                radial-gradient(85% 65% at 50% 100%, #0b2430 0%, #0a1f2a 60%, #030914 90%),
                                radial-gradient(140% 110% at 50% 100%, rgba(11, 36, 48, 0.9) 0%, rgba(3, 9, 20, 1) 70%);
    --box-shadow: 0 0 24px rgb(0 0 0 / 32%); 
    --border-medium: rgba(110, 190, 210, 0.12);
}

:root[data-theme="dark"] {
  --bg: radial-gradient(120% 90% at 5% -20%, #060016 0%, #040013 85%), 
      radial-gradient(100% 80% at 95% 95%, #2e1100 0%, #1a0a08 45%, #030011 85%), 
      linear-gradient(170deg, #040012 0%, #030011 60%, #04000f 100%);
  --text: #d6d6d6;
    /*#030011;*/
  --text: #d6d6d6;
  --light-text: #717171;
  --top-row: #d0d0d042;
  --box-shadow: 0 0 24px rgba(70, 180, 200, 0.08);
}

.owner-avatar {
    max-width: 3.5rem;
    border-radius: 50%;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.03), 0 4px 12px rgba(0, 0, 0, 0.35) !important;
    background: var(--dark-owner-background);
    padding: 3px;
}

.owner-avatar-xsmall {
    max-width: 1.5rem;
    border-radius: 50%;
    border: 2px solid #3d3d3d;
}

.player-image {
    position: relative;
    height: 30px;
    width: 30px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: auto 35px;
    overflow: visible;
    border-radius: 50px;
    background-color: #73737340;
    border: 2px solid #494949;
}

.player-team-logo {
    height: 20px;
    width: 20px;
}

.accordion-button {
    background-color: var(--secondary-site-alt2);
    color: #dcdcdc;
}

.accordion-button.collapsed {
    background-color: var(--secondary-site-alt2);
    color: #dcdcdc;
}

.accordion-button:not(.collapsed) {
    background: var(--secondary-site-alt2);
    color: #dcdcdc;
    box-shadow: none !important;
    opacity: .8;
}

.accordion-button {
    display: grid;
    text-align: center;
}

.accordion-item {
    border-color: #0b0b0b;
    box-shadow: 0 0 .2rem 0 whitesmoke;
}

.accordion-body {
    background: var(--secondary-site-alt1) !important;
}

main { 
    background: var(--bg) !important; 
    color: var(--text) !important; 
}

.top-row.px-4 {
    background-color: var(--top-row) !important;
    border-bottom: none !important;
    position: relative !important;
}

.top-row.ps-3.navbar.navbar-dark {
    background-image: linear-gradient(180deg, var(--primary-site-color) 0%, #050016 70%);
}

ul.dropdown-menu.show {
    background: #818181f7;
    border: 1px solid #353535;
    box-shadow: 0 0 .2rem 0 whitesmoke;
}

ul.dropdown-menu.show li{
    color: var(--text);
}

a.dropdown-item-nav-menu {
    color: var(--bs-body-color);
}

.dropdown-item:hover {
    background-color: #818181fa;
}

h1 {
    color: inherit !important;
}

.bi-arrow-clockwise-icon {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='rgb(13, 110, 253)' class='bi bi-arrow-clockwise' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2z'/%3E%3Cpath d='M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466'/%3E%3C/svg%3E");
    display: inline-block;
    width: 1.25rem;
    height: 1.25rem;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

.btn-secondary {
    background: var(--secondary-site-alt2);
    color: #d6d6d6;
    border-color: var(--border-medium) !important;
    box-shadow: var(--box-shadow) !important;
}

.common-container {
    background: var(--dark-background) !important;
    box-shadow: var(--box-shadow) !important;
    border-color: var(--border-medium) !important;
    color: #d6d6d6 !important;
    backdrop-filter: blur(6px);
    border-width: 1px !important;
}